package model;
/**
 * Diese Klasse repraesentiert ein Bankkonto
 * @author Martin
 *
 */
public class Konto {

	private int kontonr;
	private Kunde besitzer;
	private Bank bank;
	
	private double kontostand;
	
	/**
	 * Konto-Konstruktor
	 * @param kontonr
	 * @param besitzer
	 * @param bank
	 */
	public Konto(int kontonr, Kunde besitzer, Bank bank) {
		this.kontonr = kontonr;
		this.besitzer = besitzer;
		this.bank = bank;
		kontostand = 0.0;
	}
	
	/**
	 * gibt den Kontostand zurueck
	 * @return
	 */
	public double getKontostand(){
		return kontostand;
	}
	
	public int getKontonummer(){
		return kontonr;
	}
	
	/**
	 * addiert den Betrag zum Kontostand
	 * @param betrag
	 */
	public void einzahlen(double betrag){
		kontostand+=betrag;
	}
	
	/**
	 * zieht den Betrag vom Kontostand ab
	 * @param betrag
	 */
	public void auszahlen(double betrag){
		kontostand-=betrag;
	}

}
